﻿<div ng-controller="statisticheCtrl" ng-init="load()" ng-switch="loading" class="d-flex flex-column h-100">
  <header class="p-3 text-bg-dark" style="background-color: #2b3035;">
    <div class="container-fluid">
      <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">


        <ul class="nav col-12 col-lg-auto me-lg-auto mb-2 justify-content-center mb-md-0">
          <li><button type="button" class="btn btn-warning me-4" ng-click="go('/')">Home</button></li>
          <li><button type="button" class="btn btn-outline-light me-2" ng-click="go('details/1')">Tutte Anagrafiche</button></li>
          <li><button type="button" class="btn btn-outline-light me-2" ng-click="go('details/2')">Certificati Scaduti</button></li>
          <li><button type="button" class="btn btn-outline-light me-2" ng-click="go('details/3')">Titoli Scaduti</button></li>
          <li><button type="button" class="btn btn-outline-light me-2" ng-click="go('details/4')">Diffidati</button></li>
        </ul>

      </div>
    </div>
  </header>

  <div class="container-fluid">

    <div class="row mt-3">

      <div class="col-6">
        <div class="col-12 col-md-6 " ng-init="loadPie()">

          <div class="card" style="width: 25rem;">
            <h5 class="card-header">Titoli Inseriti</h5>
            <div class="card-body">
              <canvas id="myChart" width="150" height="150"></canvas>
            </div>
          </div>

        </div>
      </div>
      <div class="col-6">
        <div class="row mb-2">
          <div class="col-6">
            <div class="card shadow me-2" style="height: 130px;">
              <div class="card-body">
                <div class=" d-flex align-items-center">
                  <div class="me-auto p-2"><img src="Assets/img/pistola.png" width="62" height="62" alt="icona_pistola">
                  </div>
                  <div class="p-2 pointer" ng-click="go('details/3')">
                    <p class="fw-bold">Titoli Scaduti</p>
                    <h3 class="card-text text-end" id="iscritti"><span class="badge rounded-pill text-bg-light shadow-sm">{{cardScadenze.countTitolo}}</span></h3>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-6">
            <div class="card shadow me-2 " style="height: 130px;">
              <div class="card-body">
                <div class=" d-flex align-items-center">
                  <div class="me-auto p-2"><img src="Assets/img/certificate.png" width="56" height="56" alt="icona_certificato"></div>
                  <div class="p-2 pointer" ng-click="go('details/2')">
                    <p class="fw-bolder">Certificati Scaduti</p>
                    <h3 class="card-text text-end" id="iscritti"><span class="badge rounded-pill text-bg-light shadow-sm">{{cardScadenze.countCertificato}}</span></h3>
                  </div>
                </div>
              </div>
            </div>
          </div>

        </div>



        <div class="row">

          <div class="col-6 offset-6">
            <div class="card shadow me-2" style="min-height: 130px;">
              <div class="card-body">
                <div class="d-flex align-items-center">
                  <div class="me-auto p-2"><img src="Assets/img/file.png" width="68" height="68" alt="icona_certificato"></div>
                  <div class="d-flex flex-column">
                    <div class="p-2 pointer" ng-click="go('details/4')">
                      <p class="fw-bolder">Diffidati</p>
                      <h3 class="card-text text-end" id="iscritti"><span class="badge rounded-pill text-bg-light shadow-sm">{{cardScadenze.countDiffidati}}</span></h3>
                    </div>
                    <div class="p-2 text-danger pointer" ng-if="cardScadenze.countDiffidatiScaduti > 0" ng-click="go('details/5')">
                      <p class="fw-bolder">Scaduti</p>
                      <h3 class="card-text text-end" id="iscritti"><span class="badge rounded-pill text-bg-danger shadow-sm">{{cardScadenze.countDiffidatiScaduti}}</span></h3>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

        </div>





      </div>





    </div>

  </div>

</div>